Address Lookup
curl --request GET \
--url https://app.realie.ai/api/public/property/address/ \
--header 'Authorization: <api-key>'import requests
url = "https://app.realie.ai/api/public/property/address/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.realie.ai/api/public/property/address/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"property": {}
}{
"error": "Bad Request: Both address and state are required parameters"
}{
"error": "Unauthorized: API key is missing"
}{
"error": "Forbidden: Usage limit exceeded"
}{
"error": "Address not found"
}{
"error": "Internal Server Error"
}Property
Address Lookup
GET
/
public
/
property
/
address
/
Address Lookup
Authorizations
Provide your API key directly in the header.
Query Parameters
The state (e.g. “CA”) where the property is located.
The street address line 1 only (e.g. “123 Main Street”). Do not include city, state, or ZIP in this field.
The unit number of the property (optional). Do not include the type of unit. (e.g. “APT 2B” would just be “2B”)
The county where the property is located. Required when city parameter is provided.
The city where the property is located. If specified, county parameter is required.
Response
Property found successfully
The property features found.
⌘I